Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: impossible update of several packages

  1. #1
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default impossible update of several packages

    Since several days I can't update 14 packages with error messages like this:
    Code:
    Subprocess failed. Error: RPM failed: error: package akonadi-server-20.04.2-lp152.1.1.x86_64 is not installed
    Same result using YaST or plasma applet.
    I updated other packages without any problem.

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,426
    Blog Entries
    3

    Default Re: impossible update of several packages

    At the root command line, try:
    Code:
    zypper install akonadi-server
    You might get better error messages.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  3. #3
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: impossible update of several packages

    This is what I get:
    Code:
    sudo zypper install akonadi-server
    [sudo] password di root: 
    Caricamento dati del repository in corso...
    Lettura dei pacchetti installati in corso...
    'akonadi-server' è già installato.
    Nessun aggiornamento candidato per 'akonadi-server-20.04.2-lp152.2.3.1.x86_64'. La versione più recente disponibile è già installata.
    Risoluzione dipendenze dei pacchetti in corso...
    
    Nessuna operazione da eseguire.
    I don't know how to get message in english in console, anyway my translation is
    Code:
    ...
    akonadi server already installed
    No update available for 'akonadi-server-20.04.2-lp152.2.3.1.x86_64'. The most recent version is already installed.
    ...

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,152

    Default Re: impossible update of several packages

    Quote Originally Posted by Giorgio_os View Post
    I don't know how to get message in english in console,
    Prefix the command with LANG=C. Like
    Code:
    LANG=C zypper install akonadi-server
    Henk van Velden

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,885

    Default AW: impossible update of several packages

    Post:
    Code:
    LANG=C zypper lr -d

  6. #6
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: impossible update of several packages

    Quote Originally Posted by hcvv View Post
    Prefix the command with LANG=C. Like
    Code:
    LANG=C zypper install akonadi-server
    Code:
    ~> sudo LANG=C zypper install akonadi-server
    [sudo] password di root: 
    Loading repository data...
    Reading installed packages...
    'akonadi-server' is already installed.
    No update candidate for 'akonadi-server-20.04.2-lp152.2.3.1.x86_64'. The highest available version is already installed.
    Resolving package dependencies...
    
    Nothing to do.

  7. #7
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: AW: impossible update of several packages

    Quote Originally Posted by Sauerland View Post
    Post:
    Code:
    LANG=C zypper lr -d
    Code:
    ~> LANG=C zypper lr -d     
    #  | Alias                                | Name                                      | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                               | Service
    ---+--------------------------------------+-------------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------------------+--------
     1 | dvd                                  | dvd                                       | No      | ----      | ----    |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.2/                                                | 
     2 | http-download.opensuse.org-a11213ba  | openSUSE:Leap:15.2:Update                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss/                                                | 
     3 | https-download.opensuse.org-07842155 | home:dominig:opencpn-sandbox              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/home:/dominig:/opencpn-sandbox/openSUSE_Leap_15.2/     | 
     4 | https-download.opensuse.org-317745b7 | electronics                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/electronics/openSUSE_Leap_15.2/                        | 
     5 | https-download.opensuse.org-582b290a | home:dl8fcl                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/home:/dl8fcl/openSUSE_Leap_15.2/                       | 
     6 | https-download.opensuse.org-81fac508 | home:opensuseitalia                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/home:/opensuseitalia/openSUSE_Leap_15.2/               | 
     7 | https-download.opensuse.org-bffd06c1 | Application:Geo:OpenCPN                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/Application:/Geo:/OpenCPN/openSUSE_Leap_15.2/          | 
     8 | https-download.opensuse.org-e32405d0 | home:dominig:wxWidgets-3_2-nostl          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/home:/dominig:/wxWidgets-3_2-nostl/openSUSE_Leap_15.2/ | 
     9 | openSUSE-Leap-15.2-1                 | openSUSE-Leap-15.2-1                      | No      | ----      | ----    |   99     | rpm-md | hd:/?device=/dev/disk/by-id/usb-JetFlash_Transcend_16GB_ZFURB3G5-0:0-part2                        | 
    10 | packman                              | packman                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.2/                                                  | 
    11 | repo-debug                           | Debug Repository                          | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/                               | 
    12 | repo-debug-non-oss                   | Debug Repository (Non-OSS)                | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/                           | 
    13 | repo-debug-update                    | Update Repository (Debug)                 | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/update/leap/15.2/oss/                                          | 
    14 | repo-debug-update-non-oss            | Update Repository (Debug, Non-OSS)        | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/update/leap/15.2/non-oss/                                      | 
    15 | repo-non-oss                         | Repository Non-OSS                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/                                 | 
    16 | repo-oss                             | Repository principale                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/                                     | 
    17 | repo-source                          | Source Repository                         | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/                              | 
    18 | repo-source-non-oss                  | Source Repository (Non-OSS)               | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/                          | 
    19 | repo-update                          | Repository principale degli aggiornamenti | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss                                                 | 
    20 | repo-update-non-oss                  | Repository degli aggiornamenti (Non-Oss)  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/

  8. #8
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,885

    Default AW: impossible update of several packages

    Please use
    Code:
    su -l
    and the root-password as command to switch to root.
    Then you can use the command posted here, so that LANG=C will work.

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,885

    Default AW: impossible update of several packages

    As root:
    Code:
    zypper clean -a
    Code:
    rpm --rebuilddb
    Now post:
    Code:
    LANG=C zypper up
    Last edited by Sauerland; 16-Sep-2020 at 13:05.

  10. #10
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: AW: impossible update of several packages

    Quote Originally Posted by Sauerland View Post
    As root:
    Code:
    zypper clean -a
    Code:
    rpm --rebuilddb
    Now post:
    Code:
    LANG=C zypper up
    Here's the result
    Code:
    ~> su -l
    Password: 
    localhost:~ # LANG=C zypper up
    Retrieving repository 'openSUSE:Leap:15.2:Update' metadata ..............................................................................................................[done]
    Building repository 'openSUSE:Leap:15.2:Update' cache ...................................................................................................................[done]
    Retrieving repository 'home:dominig:opencpn-sandbox' metadata ...........................................................................................................[done]
    Building repository 'home:dominig:opencpn-sandbox' cache ................................................................................................................[done]
    Retrieving repository 'electronics' metadata ............................................................................................................................[done]
    Building repository 'electronics' cache .................................................................................................................................[done]
    Retrieving repository 'home:dl8fcl' metadata ............................................................................................................................[done]
    Building repository 'home:dl8fcl' cache .................................................................................................................................[done]
    Retrieving repository 'home:opensuseitalia' metadata ....................................................................................................................[done]
    Building repository 'home:opensuseitalia' cache .........................................................................................................................[done]
    Retrieving repository 'Application:Geo:OpenCPN' metadata ................................................................................................................[done]
    Building repository 'Application:Geo:OpenCPN' cache .....................................................................................................................[done]
    Retrieving repository 'home:dominig:wxWidgets-3_2-nostl' metadata .......................................................................................................[done]
    Building repository 'home:dominig:wxWidgets-3_2-nostl' cache ............................................................................................................[done]
    Retrieving repository 'packman' metadata ................................................................................................................................[done]
    Building repository 'packman' cache .....................................................................................................................................[done]
    Retrieving repository 'Repository Non-OSS' metadata .....................................................................................................................[done]
    Building repository 'Repository Non-OSS' cache ..........................................................................................................................[done]
    Retrieving repository 'Repository principale' metadata ..................................................................................................................[done]
    Building repository 'Repository principale' cache .......................................................................................................................[done]
    Retrieving repository 'Repository principale degli aggiornamenti' metadata ..............................................................................................[done]
    Building repository 'Repository principale degli aggiornamenti' cache ...................................................................................................[done]
    Retrieving repository 'Repository degli aggiornamenti (Non-Oss)' metadata ...............................................................................................[done]
    Building repository 'Repository degli aggiornamenti (Non-Oss)' cache ....................................................................................................[done]
    Loading repository data...
    Reading installed packages...
    
    The following 61 package updates will NOT be installed:
      bubblewrap gegl-0_4 gegl-0_4-lang gettext-runtime gimp gimp-lang gimp-plugin-aa gimp-plugins-python glib-networking glib-networking-lang glib2-lang glib2-tools gtk2-data
      gtk2-immodule-amharic gtk2-immodule-inuktitut gtk2-immodule-thai gtk2-immodule-tigrigna gtk2-immodule-vietnamese gtk2-lang gtk2-tools inkscape inkscape-extensions-extra
      inkscape-extensions-gimp inkscape-lang libbabl-0_1-0 libfreetype6 libgegl-0_4-0 libgexiv2-2 libgimp-2_0-0 libgimpui-2_0-0 libgio-2_0-0 libglib-2_0-0 libgmodule-2_0-0
      libgobject-2_0-0 libgthread-2_0-0 libgtk-2_0-0 liblcms2-2 libmypaint-lang libostree libostree-1-1 libpng16-16 libpoppler-cpp0 libpoppler-glib8 libpoppler-qt5-1
      libpython2_7-1_0 libquazip5-1 libv4l libv4l1-0 libv4l2-0 libv4lconvert0 libvidstab1_1 libwebp7 libwebpdemux2 libwebpmux3 poppler-tools python python-base python-sip-common
      python-xml python3-qt5 python3-sip
    
    The following 7 packages are going to be upgraded:
      avahi kio kio-lang libavahi-client3 libavahi-common3 libavahi-core7 libavahi-glib1
    
    7 packages to upgrade.
    Overall download size: 3.6 MiB. Already cached: 0 B. After the operation, 2.7 KiB will be freed.
    Continue? [y/n/v/...? shows all options] (y): y
    Retrieving package kio-5.71.0-lp152.2.9.1.x86_64                                                                                          (1/7),   1.2 MiB (  4.9 MiB unpacked)
    Retrieving delta: ./x86_64/kio-5.71.0-lp152.2.6.1_lp152.2.9.1.x86_64.drpm, 109.5 KiB
    Retrieving: kio-5.71.0-lp152.2.6.1_lp152.2.9.1.x86_64.drpm ..................................................................................................[done (2.2 KiB/s)]
    Applying delta: ./kio-5.71.0-lp152.2.6.1_lp152.2.9.1.x86_64.drpm ........................................................................................................[done]
    Retrieving package libavahi-common3-0.7-lp152.3.3.1.x86_64                                                                                (2/7),  34.4 KiB ( 51.2 KiB unpacked)
    Retrieving delta: ./x86_64/libavahi-common3-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm, 12.7 KiB
    Retrieving: libavahi-common3-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ......................................................................................................[done]
    Applying delta: ./libavahi-common3-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ................................................................................................[done]
    Retrieving package kio-lang-5.71.0-lp152.2.9.1.noarch                                                                                     (3/7),   2.1 MiB ( 11.4 MiB unpacked)
    Retrieving delta: ./noarch/kio-lang-5.71.0-lp152.2.6.1_lp152.2.9.1.noarch.drpm, 159.7 KiB
    Retrieving: kio-lang-5.71.0-lp152.2.6.1_lp152.2.9.1.noarch.drpm .........................................................................................................[done]
    Applying delta: ./kio-lang-5.71.0-lp152.2.6.1_lp152.2.9.1.noarch.drpm ...................................................................................................[done]
    Retrieving package libavahi-glib1-0.7-lp152.3.3.1.x86_64                                                                                  (4/7),  14.3 KiB ( 14.2 KiB unpacked)
    Retrieving delta: ./x86_64/libavahi-glib1-0.7-lp152.2.10_lp152.3.3.1.x86_64.drpm, 6.2 KiB
    Retrieving: libavahi-glib1-0.7-lp152.2.10_lp152.3.3.1.x86_64.drpm ...........................................................................................[done (2.2 KiB/s)]
    Applying delta: ./libavahi-glib1-0.7-lp152.2.10_lp152.3.3.1.x86_64.drpm .................................................................................................[done]
    Retrieving package libavahi-core7-0.7-lp152.3.3.1.x86_64                                                                                  (5/7),  92.7 KiB (216.7 KiB unpacked)
    Retrieving delta: ./x86_64/libavahi-core7-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm, 12.8 KiB
    Retrieving: libavahi-core7-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ........................................................................................................[done]
    Applying delta: ./libavahi-core7-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ..................................................................................................[done]
    Retrieving package libavahi-client3-0.7-lp152.3.3.1.x86_64                                                                                (6/7),  37.9 KiB ( 67.1 KiB unpacked)
    Retrieving delta: ./x86_64/libavahi-client3-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm, 12.8 KiB
    Retrieving: libavahi-client3-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ......................................................................................................[done]
    Applying delta: ./libavahi-client3-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ................................................................................................[done]
    Retrieving package avahi-0.7-lp152.3.3.1.x86_64                                                                                           (7/7), 124.8 KiB (411.1 KiB unpacked)
    Retrieving delta: ./x86_64/avahi-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm, 29.0 KiB
    Retrieving: avahi-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm .................................................................................................................[done]
    Applying delta: ./avahi-0.7-lp152.2.7_lp152.3.3.1.x86_64.drpm ...........................................................................................................[done]
    
    Checking for file conflicts: ............................................................................................................................................[done]
    (1/7) Installing: kio-5.71.0-lp152.2.9.1.x86_64 .........................................................................................................................[done]
    (2/7) Installing: libavahi-common3-0.7-lp152.3.3.1.x86_64 ...............................................................................................................[done]
    (3/7) Installing: kio-lang-5.71.0-lp152.2.9.1.noarch ....................................................................................................................[done]
    (4/7) Installing: libavahi-glib1-0.7-lp152.3.3.1.x86_64 .................................................................................................................[done]
    (5/7) Installing: libavahi-core7-0.7-lp152.3.3.1.x86_64 .................................................................................................................[done]
    (6/7) Installing: libavahi-client3-0.7-lp152.3.3.1.x86_64 ...............................................................................................................[done]
    (7/7) Installing: avahi-0.7-lp152.3.3.1.x86_64 ..........................................................................................................................[done]
    Additional rpm output:
    Updating /etc/sysconfig/avahi ...
    Updating /etc/sysconfig/security ...
    
    
    There are running programs which still use files and libraries deleted or updated by recent upgrades. They should be restarted to benefit from the latest updates. Run 'zypper ps -s' to list these programs.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •